use aoc22::{
    day16,
    util::{self, BnBState},
};

pub fn main() {
    let valves = day16::parse_valves(&util::parse_input());
    let dists = day16::calc_dists(&valves);
    let state = day16::State::new(&valves);

    let score = util::maximize(&state, &(&valves, &dists));

    println!(
        "Most pressure released is {}",
        score.lower_bound(&(&valves, &dists))
    );
}
